package com.sw.mes.sap.reconciliation.framework;

import lombok.Data;

import java.util.HashMap;
import java.util.Map;

/**
 * 中间结果
 *
 * @Author：wanjia
 * @Date：2024/2/25 18:56
 */
@Data
public class IntermediateResult<T> extends QueryKey {
    private int code;
    private T data;
    private Map<String, T> resultMap = new HashMap<>();

    public void add(String key, T value) {
        resultMap.put(key, value);
    }
}
